<?xml version="1.0" encoding="utf-8"?>
<root xmlns:android="http://schemas.android.com/apk/res/android">
    <!-- init section is always evaluated once per architecture -->
    <init>
        <log text="Nakama APL init (shipping build)"/>
        <setBool result="bSupported" value="false"/>
        <isArch arch="armeabi-v7a">
            <setBool result="bSupported" value="true"/>
        </isArch>
        <isArch arch="arm64-v8a">
            <setBool result="bSupported" value="true"/>
        </isArch>
        <isArch arch="x86_64">
            <setBool result="bSupported" value="true"/>
        </isArch>
        <isArch arch="x86">
            <setBool result="bSupported" value="true"/>
        </isArch>
        <if condition="bSupported">
            <false>
                <log text="onnxruntime unsupported architecture: $S(Architecture)"/>
            </false>
        </if>
    </init>
    
    <resourceCopies>
        <copyFile src="$S(PluginDir)/../ThirdParty/Lib/Android/onnxruntime/$S(Architecture)/libonnxruntime.so"
                  dst="$S(BuildDir)/libs/$S(Architecture)/libonnxruntime.so" />
    </resourceCopies>
 
    <soLoadLibrary>
        <loadLibrary name="onnxruntime" failmsg="Failed to load onnxruntime library!" />
    </soLoadLibrary>
</root>